Bug 1894243 - [Backport 4.5] IO archive contains more records of than is the limit
Summary: [Backport 4.5] IO archive contains more records of than is the limit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Ricardo Lüders
QA Contact: psimovec
URL:
Whiteboard:
Depends On: 1894244
Blocks: 1894245
TreeView+ depends on / blocked
 
Reported: 2020-11-03 19:44 UTC by Ricardo Lüders
Modified: 2021-03-03 04:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A misplaced array index was causing issues while pruning the records from memory. Consequence: It was causing excessive memory usage and not removing old reports from the archive. Fix: Change the array index key. Result: Prune is now removing records from memory, not causing memory overflow and keeping the records always updated at the archive.
Clone Of:
Environment:
Last Closed: 2021-03-03 04:40:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 262 0 None closed [release-4.5] Bug 1894243: Fixes records index on diskrecorder 2021-02-11 14:44:35 UTC
Red Hat Product Errata RHSA-2021:0428 0 None None None 2021-03-03 04:40:52 UTC

Description Ricardo Lüders 2020-11-03 19:44:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://issues.redhat.com/browse/CCXDEV-3428

Comment 5 errata-xmlrpc 2021-03-03 04:40:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0428


Note You need to log in before you can comment on or make changes to this bug.